<?PHP // $Id$ 
      // enrol_lml.php - created with Moodle 1.8 Beta + (2007021400)


$string['description'] = '<p>Sie können einen LML-Server nutzen, um die Anmeldung von Teilnehmer/innen in Kursen zu verwalten.</p>
<p>Es wird angenommen, dass der LML-LDAP-Baum Gruppen enthält, die zu Kursen gehören und dass jede/r der Gruppen/Kurse Einträge von Teilnehmer/innen hat. 
Es wird weiterhin angenommen, dass die Lehrer in der Gruppe teachers im LML definiert sind und in den Mitgliedsfeldern dieser Gruppe eingetragen sind.
(<em>member</em> oder <em>memberUid</em>), die eine eindeutige Identifizierung des/der Nutzer/in ermöglichen.</p>
<p>Um das LML-LDAP als Kurs-Anmeldeverfahren zu verwenden, <strong>muss</strong>
jeder Nutzer eine gültige ID-Nummer(uid) besitzen. Die LDAP-Gruppen müssen diese ID-Nummer in den Mitgliedsfeldern aufweisen, um den/die Nutzer/in als Teilnehmer/in in den Kurs einzuschreiben.
Dies funktioniert normalerweise sehr gut, wenn Sie LDAP auch zur Nutzerauthentifizierung nutzen.</p>
<p>Kursanmeldungen werden aktualisiert, wenn der Nutzer sich in Moodle einloggt. Sie können auch ein Skript nutzen, um Kursanmeldungen zu synchronisieren. Moodle liefert ein solches Skript:
<em>enrol/lml/enrol_lml_sync.php</em>. 
Sie können das LML-LDAP-Anmeldeverfahren auch so konfigurieren, dass automatisch neue Kurse angelegt werden, wenn neue Gruppen in LDAP eingerichtet werden.</p>';
$string['enrol_lml_bind_dn'] = 'Wenn Sie einen sog. bind-user für die LDAP-Suche nach Nutzer/innen verwenden wollen, geben Sie diesen  hier an, z.B. \'cn=ldapuser,ou=public,o=org\'.';
$string['enrol_lml_bind_pw'] = 'Kennwort für den bind-user';
$string['enrol_lml_host_url'] = 'URL des LDAP-Servers, z.B. \'ldap://localhost/\' oder \'ldaps://ldap.myorg.com/\'';
$string['enrol_lml_server_settings'] = 'LML-Server Einstellungen';
$string['enrol_lml_search_sub'] = 'Suche in Unterverzeichnissen';
$string['enrol_lml_global_context'] = 'Der Kontext des LDAP-Baums, standardmäßig dc=linuxmuster,dc=local';
$string['enrol_lml_teacher_settings'] = 'Lehrergruppen-Einstellungen';
$string['enrol_lml_teachers_context'] = 'Teilbäume, in denen Lehrergruppen zu finden sind(Trennzeichen ;).';
$string['enrol_lml_teachers_object'] = 'Objektart, normalerweise posixGroup';
$string['enrol_lml_teachers_group_attribute'] = 'Attribut der Lehrergruppe, normalerweise cn';
$string['enrol_lml_teachers_group_name'] = 'Name der Lehrergruppe, normalerweise teachers';
$string['enrol_lml_teachers_member_attribute'] = 'Mitgliedsattribut der Lehrergruppe, normalerweise memberUid oder member';
$string['enrol_lml_teachers_course_id'] = 'Kurs-ID der Lehrergruppen in Moodle, z.B. teachers';
$string['enrol_lml_teachers_role'] = 'Rolle der Lehrer in Lehrergruppen, normalerweise student';
$string['enrol_lml_prefix_teacher_members'] = 'In Kursen mit diesem Präfix können auch Lehrer Mitglieder sein (z.B. für Fachgruppen)';
$string['enrol_lml_teachers_context_settings'] = 'Lehrer-Kursbereich Einstellungen';
$string['enrol_lml_teachers_course_context'] = 'Name des Kursbereichs mit Kursen einzelner Lehrer, normalerweise Lehrer';
$string['enrol_lml_teachers_course_role'] = 'Rolle des Lehrers in seinem Kursbereich, normalerweise coursecreator';
$string['enrol_lml_teachers_category_autocreate'] = 'Der Kursbereich eines Lehrer wird automatisch beim ersten Anmelden angelegt.';
$string['enrol_lml_teachers_category_autoremove'] = 'Der Kursbereich eines Benutzers wird entfernt, wenn er kein Lehrer ist.';
$string['enrol_lml_teachers_removed'] = 'Dieser Kursbereich nimmt die automatisch entfernten Kursbereiche auf, normalerweise attic';
$string['enrol_lml_teachers_ignore'] = 'Ausnahmen: Benutzer, die Lehrer sind, für die aber trotz Einstellung weiter oben keine Kursbereiche automatisch angelegt oder entfernt werden sollen.';
$string['enrol_lml_students_settings'] = 'Schülereinstellungen';
$string['enrol_lml_student_class_numbers'] = 'Die Klassenstufen, normalerweise 5,6,7,8,9,10,11,12';
$string['enrol_lml_student_project_prefix'] = 'Der Gruppenbezeichnung in der LML wird normalerweise ein p_ vorangestellt.';
$string['enrol_lml_student_groups_contexts'] = 'Die Teilbäume mit den Klassen und Projekten (ou=groups)';
$string['enrol_lml_student_group_object'] = 'Die Objektart, normalerweise posixGroup';
$string['enrol_lml_student_group_attribute'] = 'Das Mitgliedsattribut, normalerweise memberUid';
$string['enrol_lml_student_role'] = 'Die Rolle, mit der Schüler in einen Kurs eingetragen werden, normalerweise student';
$string['enrol_lml_student_course_id'] = 'Die Kurs-ID der Kurse in Moodle, normalerweise cn';
$string['enrol_lml_student_ignored_groups'] = 'Hier werden Gruppen eingetragen, die keine Klassen oder Kurse sind, z.B. teachers, attic, ...';
$string['enrol_lml_version'] = 'Version des LDAP-Protokolls auf Ihrem LML-Server';
$string['enrolname'] = 'LML';

?>
