<?php
    // Dieses Modul dient lediglich Testzwecken.
    // Bitte nicht im Betrieb verwenden.
    // SCH,2012

    //error_log('[ENROL_LML] enrol_lml_sync start');
    if(!empty($_SERVER['GATEWAY_INTERFACE'])){
        error_log("should not be called from apache!");
        exit;
    }
    error_reporting(E_ALL);
    require_once(dirname(__FILE__).'/../../config.php'); // global moodle config file.
    require_once($CFG->dirroot . '/course/lib.php');
    require_once($CFG->dirroot . '/lib/moodlelib.php');
    require_once($CFG->dirroot . '/lib/datalib.php');
    require_once($CFG->dirroot . "/enrol/lml/enrol.php");

    // ensure errors are well explained
    $CFG->debug = DEBUG_NORMAL;

    // update enrolments -- these handlers should autocreate courses if required
    $enrol = new enrolment_plugin_lml();


	//fill in test calls
    // Connect to the external database
    $ldap_connection = $enrol->enrol_lml_connect();
    if (!$ldap_connection) {
        @ldap_close($ldap_connection);
        notify("LML-module cannot connect to server: $CFG->enrol_lml_host_url");
        return false;
    }
    $enrol->check_legacy_config();
    
    $roles = get_records('role');
    //error_log('[TESTENROL_LML] roles('.print_r($roles,true).')');
    // we are connected OK, continue...
	//$enrol->filter_valid_groups("p_,p_hallo,teachers,p_teachers_ma,5a,hallo,domadmins,5c,extrabreit,p_12a");
	$enrol->enrol_lml_bind($ldap_connection);
	foreach($roles as $role){
		$enrol->sync_enrolments($role->shortname, true);
	}
	@ldap_close($ldap_connection);
    
?>
